Package org.lwjgl.opengles

# Class PowerManagementEventException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.lwjgl.opengles.PowerManagementEventException

All Implemented Interfaces:
  `Serializable`

public class PowerManagementEventException extends RuntimeException
A PowerManagementEventException exception will be thrown when a call to eglSwapBuffers, eglCopyBuffers or eglMakeCurrent returns EGL_FALSE and the EGL_ERROR generated is EGL_CONTEXT_LOST.

On detection of this error, the application must destroy all contexts. To continue rendering the application must recreate any contexts it requires, and subsequently restore any client API state and objects it wishes to use.

Note that not all implementations can be made to generate power management events, and developers should continue to refer to platform-specific documentation in this area.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`PowerManagementEventException()`
`PowerManagementEventException(String message)`
`PowerManagementEventException(String message, Throwable cause)`
`PowerManagementEventException(Throwable cause)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### PowerManagementEventException

public PowerManagementEventException()

### PowerManagementEventException

public PowerManagementEventException(String message)

### PowerManagementEventException

public PowerManagementEventException(String message, Throwable cause)

### PowerManagementEventException

public PowerManagementEventException(Throwable cause)